## piratecash 0.18.2.4

=== CMakeLists.txt ===
# This CMakeLists.txt is not meant to actually work!
# It only serves as a dummy project to make CLion work properly when it comes to symbol resolution and all the nice
# features dependent on that. Building must still be done on the command line using the automake build chain
# If you load this project in CLion and would like to run/debug executables, make sure to remove the "Build" entry from
# the run/debug configuration as otherwise CLion will try to build this project with cmake, failing horribly.
# You'll also have to manually change the executable in the configuration to the correct path of the already built executable

cmake_minimum_required(VERSION 3.7)
project(piratecash)

set(CMAKE_CXX_STANDARD 14)

include_directories(
        src
        src/qt/forms
        src/leveldb/include
        src/univalue/include
)

if(UNIX AND NOT APPLE)
    set(DEPENDS_PREFIX depends/x86_64-pc-linux-gnu)
elseif(APPLE)
    set(DEPENDS_PREFIX depends/x86_64-apple-darwin19)
elseif(WIN32)
    set(DEPENDS_PREFIX depends/x86_64-w64-mingw32)
endif()

message(STATUS "DEPENDS_PREFIX: ${DEPENDS_PREFIX}")

if(DEFINED DEPENDS_PREFIX)
    include_directories(${DEPENDS_PREFIX}/include)
    include_directories(${DEPENDS_PREFIX}/include/QtWidgets)
endif()

add_definitions(
        -DENABLE_CRASH_HOOKS=1
        -DENABLE_STACKTRACES=1
        -DENABLE_WALLET=1
)

file(GLOB SOURCE_FILES
        src/*.cpp
        src/*.h
        src/bench/*.cpp
        src/bench/*.h
        src/bls/*.cpp
        src/bls/*.h
        src/coinjoin/*.cpp
        src/coinjoin/*.h
        src/compat/*.cpp
        src/compat/*.h
        src/consensus/*.cpp
        src/consensus/*.h
        src/crypto/*.c
        src/crypto/*.cpp
        src/crypto/*.h
        src/evo/*.cpp
        src/evo/*.h
        src/leveldb/db/*.cc
        src/leveldb/db/*.h
        src/leveldb/include/*.h
        src/llmq/*.cpp
        src/llmq/*.h
        src/masternode/*.cpp
        src/masternode/*.h
        src/policy/*.cpp
        src/policy/*.h
        src/primitives/*.cpp
        src/primitives/*.h
        src/qt/*.cpp
        src/qt/*.h
        src/qt/test/*.cpp
        src/qt/test/*.h
        src/rpc/*.cpp
        src/rpc/*.h
        src/script/*.cpp
        src/script/*.h
        src/secp256k1/include/*.h
        src/test/*.cpp
        src/test/*.h
        src/univalue/include/*.h
        src/univalue/lib/*.cpp
        src/univalue/lib/*.h
        src/wallet/*.cpp
        src/wallet/*.h
        src/wallet/test/*.cpp
        src/zmq/*.cpp
        src/zmq/*.h
        )

add_executable(piratecash ${SOURCE_FILES})

=== depends/Makefile ===
.NOTPARALLEL :

# Pattern rule to print variables, e.g. make print-top_srcdir
print-%:
	@echo '$*' = '$($*)'

# When invoking a sub-make, keep only the command line variable definitions
# matching the pattern in the filter function.
#
# e.g. invoking:
#   $ make A=1 C=1 print-MAKEOVERRIDES print-MAKEFLAGS
#
# with the following in the Makefile:
#   MAKEOVERRIDES := $(filter A=% B=%,$(MAKEOVERRIDES))
#
# will print:
#   MAKEOVERRIDES = A=1
#   MAKEFLAGS = -- A=1
#
# this is because as the GNU make manual says:
#   The command line variable definitions really appear in the variable
#   MAKEOVERRIDES, and MAKEFLAGS contains a reference to this variable.
#
# and since the GNU make manual also says:
#   variables defined on the command line are passed to the sub-make through
#   MAKEFLAGS
#
# this means that sub-makes will be invoked as if:
#   $(MAKE) A=1 blah blah
MAKEOVERRIDES := $(filter V=%,$(MAKEOVERRIDES))
SOURCES_PATH ?= $(BASEDIR)/sources
WORK_PATH = $(BASEDIR)/work
BASE_CACHE ?= $(BASEDIR)/built
SDK_PATH ?= $(BASEDIR)/SDKs
NO_QT ?=
NO_OPENSSL ?=
NO_QR ?=
NO_WALLET ?=
NO_ZMQ ?=
NO_UPNP ?=
NO_NATPMP ?=
FALLBACK_DOWNLOAD_PATH ?= https://bitcoincore.org/depends-sources

BUILD = $(shell ./config.guess)
HOST ?= $(BUILD)
PATCHES_PATH = $(BASEDIR)/patches
BASEDIR = $(CURDIR)
HASH_LENGTH:=11
DOWNLOAD_CONNECT_TIMEOUT:=10
HOST_ID_SALT ?= salt
BUILD_ID_SALT ?= salt

host:=$(BUILD)
ifneq ($(HOST),)
host:=$(HOST)
endif

ifneq ($(DEBUG),)
release_type=debug
else
release_type=release
endif

base_build_dir=$(WORK_PATH)/build
base_staging_dir=$(WORK_PATH)/staging
base_download_dir=$(WORK_PATH)/download
canonical_host:=$(shell ./config.sub $(HOST))
build:=$(shell ./config.sub $(BUILD))

build_arch =$(firstword $(subst -, ,$(build)))
build_vendor=$(word 2,$(subst -, ,$(build)))
full_build_os:=$(subst $(build_arch)-$(build_vendor)-,,$(build))
build_os:=$(findstring linux,$(full_build_os))
build_os+=$(findstring darwin,$(full_build_os))
build_os:=$(strip $(build_os))
ifeq ($(build_os),)
build_os=$(full_build_os)
endif

host_arch=$(firstword $(subst -, ,$(canonical_host)))
host_vendor=$(word 2,$(subst -, ,$(canonical_host)))
full_host_os:=$(subst $(host_arch)-$(host_vendor)-,,$(canonical_host))
host_os:=$(findstring linux,$(full_host_os))
host_os+=$(findstring darwin,$(full_host_os))
host_os+=$(findstring mingw32,$(full_host_os))

ifeq (android,$(findstring android,$(full_host_os)))
host_os:=android
endif

host_os:=$(strip $(host_os))
ifeq ($(host_os),)
host_os=$(full_host_os)
endif

$(host_arch)_$(host_os)_prefix=$(BASEDIR)/$(host)
$(host_arch)_$(host_os)_host=$(host)
host_prefix=$($(host_arch)_$(host_os)_prefix)
build_prefix=$(host_prefix)/native
build_host=$(build)

AT_$(V):=
AT_:=@
AT:=$(AT_$(V))

all: install

include hosts/$(host_os).mk
include hosts/default.mk
include builders/$(build_os).mk
include builders/default.mk
include packages/packages.mk

full_env=$(shell printenv)

build_id_string:=$(BUILD_ID_SALT)

# GCC only prints COLLECT_LTO_WRAPPER when invoked with just "-v", but we want
# the information from "-v -E -" as well, so just include both.
#
# '3>&1 1>&2 2>&3 > /dev/null' is supposed to swap stdin and stdout and silence
# stdin, since we only want the stderr output
build_id_string+=$(shell $(build_CC) -v < /dev/null 3>&1 1>&2 2>&3 > /dev/null) $(shell $(build_CC) -v -E - < /dev/null 3>&1 1>&2 2>&3 > /dev/null)
build_id_string+=$(shell $(build_AR) --version 2>/dev/null) $(filter AR_%,$(full_env)) ZERO_AR_DATE=$(ZERO_AR_DATE)
build_id_string+=$(shell $(build_CXX) -v < /dev/null 3>&1 1>&2 2>&3 > /dev/null) $(shell $(build_CXX) -v -E - < /dev/null 3>&1 1>&2 2>&3 > /dev/null)
build_id_string+=$(shell $(build_RANLIB) --version 2>/dev/null) $(filter RANLIB_%,$(full_env))
build_id_string+=$(shell $(build_STRIP) --version 2>/dev/null) $(filter STRIP_%,$(full_env))

$(host_arch)_$(host_os)_id_string:=$(HOST_ID_SALT)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_CC) -v < /dev/null 3>&1 1>&2 2>&3 > /dev/null) $(shell $(host_CC) -v -E - < /dev/null 3>&1 1>&2 2>&3 > /dev/null)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_AR) --version 2>/dev/null) $(filter AR_%,$(full_env)) ZERO_AR_DATE=$(ZERO_AR_DATE)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_CXX) -v < /dev/null 3>&1 1>&2 2>&3 > /dev/null) $(shell $(host_CXX) -v -E - < /dev/null 3>&1 1>&2 2>&3 > /dev/null)
$(host_arch)_$(host_os)_id_string+=$(shell $(host_RANLIB) --version 2>/dev/null) $(filter RANLIB_%,$(full_env))
$(host_arch)_$(host_os)_id_string+=$(shell $(host_STRIP) --version 2>/dev/null) $(filter STRIP_%,$(full_env))

ifneq ($(strip $(FORCE_USE_SYSTEM_CLANG)),)
# Make sure that cache is invalidated when switching between system and
# depends-managed, pinned clang
build_id_string+=system_clang
$(host_arch)_$(host_os)_id_string+=system_clang
endif

build_id_string+=GUIX_ENVIRONMENT=$(realpath $(GUIX_ENVIRONMENT))
$(host_arch)_$(host_os)_id_string+=GUIX_ENVIRONMENT=$(realpath $(GUIX_ENVIRONMENT))

qrencode_packages_$(NO_QR) = $(qrencode_$(host_os)_packages)

qt_packages_$(NO_QT) = $(qt_packages) $(qt_$(host_os)_packages) $(qt_$(host_arch)_$(host_os)_packages) $(qrencode_packages_)

wallet_packages_$(NO_WALLET) = $(wallet_packages)
upnp_packages_$(NO_UPNP) = $(upnp_packages)
natpmp_packages_$(NO_NATPMP) = $(natpmp_packages)

zmq_packages_$(NO_ZMQ) = $(zmq_packages)
openssl_packages_$(NO_OPENSSL) = $(openssl_packages)

packages += $($(host_arch)_$(host_os)_packages) $($(host_os)_packages) $(qt_packages_) $(wallet_packages_) $(upnp_packages_) $(natpmp_packages_)
native_packages += $($(host_arch)_$(host_os)_native_packages) $($(host_os)_native_packages)

ifneq ($(openssl_packages_),)
packages += $(openssl_packages)
endif

ifneq ($(zmq_packages_),)
packages += $(zmq_packages)
endif

all_packages = $(packages) $(native_packages)

meta_depends = Makefile funcs.mk builders/default.mk hosts/default.mk hosts/$(host_os).mk builders/$(build_os).mk

$(host_arch)_$(host_os)_native_binutils?=$($(host_os)_native_binutils)
$(host_arch)_$(host_os)_native_toolchain?=$($(host_os)_native_toolchain)

include funcs.mk

final_build_id_long+=$(shell $(build_SHA256SUM) config.site.in)
final_build_id+=$(shell echo -n "$(final_build_id_long)" | $(build_SHA256SUM) | cut -c-$(HASH_LENGTH))
$(host_prefix)/.stamp_$(final_build_id): $(native_packages) $(packages)
	$(AT)rm -rf $(@D)
	$(AT)mkdir -p $(@D)
	$(AT)echo copying packages: $^
	$(AT)echo to: $(@D)
	$(AT)cd $(@D); $(foreach package,$^, tar xf $($(package)_cached); )
	$(AT)touch $@

# $PATH is not preserved between ./configure and make by convention. Its
# modification and overriding at ./configure time is (as I understand it)
# supposed to be captured by the AC_{PROG_{,OBJ}CXX,PATH_{PROG,TOOL}} macros,
# which will expand the program names to their full absolute paths. The notable
# exception is command line overriding: ./configure CC=clang, which skips the
# program name expansion step, and works because the user implicitly indicates
# with CC=clang that clang will be available in $PATH at all times, and is most
# likely part of the user's system.
#
# Therefore, when we "seed the autoconf cache"/"override well-known program
# vars" by setting AR=<blah> in our config.site, either one of two things needs
# to be true for the build system to work correctly:
#
#   1. If we refer to the program by name (e.g. AR=riscv64-gnu-linux-ar), the
#      tool needs to be available in $PATH at all times.
#
#   2. If the tool is _**not**_ expected to be available in $PATH at all times
#      (such as is the case for our native_cctools binutils tools), it needs to
#      be referred to by its absolute path, such as would be output by the
#      AC_PATH_{PROG,TOOL} macros.
#
# Minor note: it is also okay to refer to tools by their absolute path even if
# we expect them to be available in $PATH at all times, more specificity does
# not hurt.
$(host_prefix)/share/config.site : config.site.in $(host_prefix)/.stamp_$(final_build_id)
	$(AT)@mkdir -p $(@D)
	$(AT)sed -e 's|@HOST@|$(host)|' \
            -e 's|@CC@|$(host_CC)|' \
            -e 's|@CXX@|$(host_CXX)|' \
            -e 's|@AR@|$(host_AR)|' \
            -e 's|@RANLIB@|$(host_RANLIB)|' \
            -e 's|@NM@|$(host_NM)|' \
            -e 's|@STRIP@|$(host_STRIP)|' \
            -e 's|@build_os@|$(build_os)|' \
            -e 's|@host_os@|$(host_os)|' \
            -e 's|@CFLAGS@|$(strip $(host_CFLAGS) $(host_$(release_type)_CFLAGS))|' \
            -e 's|@CXXFLAGS@|$(strip $(host_CXXFLAGS) $(host_$(release_type)_CXXFLAGS))|' \
            -e 's|@CPPFLAGS@|$(strip $(host_CPPFLAGS) $(host_$(release_type)_CPPFLAGS))|' \
            -e 's|@LDFLAGS@|$(strip $(host_LDFLAGS) $(host_$(release_type)_LDFLAGS))|' \
            -e 's|@no_qt@|$(NO_QT)|' \
            -e 's|@no_qr@|$(NO_QR)|' \
            -e 's|@no_zmq@|$(NO_ZMQ)|' \
            -e 's|@no_wallet@|$(NO_WALLET)|' \
            -e 's|@no_upnp@|$(NO_UPNP)|' \
            -e 's|@no_natpmp@|$(NO_NATPMP)|' \
            -e 's|@debug@|$(DEBUG)|' \
            $< > $@
	$(AT)touch $@


define check_or_remove_cached
  mkdir -p $(BASE_CACHE)/$(host)/$(package) && cd $(BASE_CACHE)/$(host)/$(package); \
  $(build_SHA256SUM) -c $($(package)_cached_checksum) >/dev/null 2>/dev/null || \
  ( rm -f $($(package)_cached_checksum); \
    if test -f "$($(package)_cached)"; then echo "Checksum mismatch for $(package). Forcing rebuild.."; rm -f $($(package)_cached_checksum) $($(package)_cached); fi )
endef

define check_or_remove_sources
  mkdir -p $($(package)_source_dir); cd $($(package)_source_dir); \
  test -f $($(package)_fetched) && ( $(build_SHA256SUM) -c $($(package)_fetched) >/dev/null 2>/dev/null || \
    ( echo "Checksum missing or mismatched for $(package) source. Forcing re-download."; \
      rm -f $($(package)_all_sources) $($(1)_fetched))) || true
endef

check-packages:
	@$(foreach package,$(all_packages),$(call check_or_remove_cached,$(package));)
check-sources:
	@$(foreach package,$(all_packages),$(call check_or_remove_sources,$(package));)

$(host_prefix)/share/config.site: check-packages

check-packages: check-sources

clean-all: clean
	@rm -rf $(SOURCES_PATH) x86_64* i686* mips* arm* aarch64* powerpc* riscv32* riscv64* s390x*

clean:
	@rm -rf $(WORK_PATH) $(BASE_CACHE) $(BUILD)

install: check-packages $(host_prefix)/share/config.site


download-one: check-sources $(all_sources)

download-osx:
	@$(MAKE) -s HOST=x86_64-apple-darwin download-one
download-linux:
	@$(MAKE) -s HOST=x86_64-unknown-linux-gnu download-one
download-win:
	@$(MAKE) -s HOST=x86_64-w64-mingw32 download-one
download: download-osx download-linux download-win

$(foreach package,$(all_packages),$(eval $(call ext_add_stages,$(package))))

.PHONY: install cached clean clean-all download-one download-osx download-linux download-win download check-packages check-sources

=== debian/changelog ===
piratecash (0.18.2.4-1) stable; urgency=medium

  * Fix headers for SPV clients

 -- Mistific@tor <0mistificator0@gmail.com>  Wed, 07 May 2025 16:16:29 +0000

piratecash (0.18.2.3-1) stable; urgency=medium

  * Add new dns seed dns.p.cash
  * Disconnect old nodes

 -- Mistific@tor <0mistificator0@gmail.com>  Sun, 28 Jul 2024 02:01:36 +0000

piratecash (0.18.2.2-1) stable; urgency=medium

  * fix: resolve some memory leaks
  * fix: Restore caching in CalcCbTxMerkleRootMNList
  * fix(rpc): masternode outputs should work correctly with multiple outputs created via a single tx
  * fix(coinjoin): fix version comparison check serialization bug
  * fix: speed up GetStateFor

 -- Mistific@tor <0mistificator0@gmail.com>  Sat, 13 Jul 2024 15:49:14 +0000

piratecash (0.18.2.0-1) stable; urgency=medium

  * ScanQuorums improvements
  * Added seeds nodes
  * Fix quorum relay members

 -- Mistific@tor <0mistificator0@gmail.com>  Sun, 07 Jul 2024 22:48:03 +0000

piratecash (0.18.1.0-1) stable; urgency=medium

  * Fix payment server
  * Remove old network support
  * Small part of pirate will be CORSARs
  * Gradual increase of rewards for masternodes from 0.1 to 60%.

 -- Mistific@tor <0mistificator0@gmail.com>  Mon, 29 Jan 2024 15:57:02 +0000

piratecash (0.18.0.1-1) stable; urgency=medium

  * We have released a major update PirateCash Core v18.

 -- Mistific@tor <0mistificator0@gmail.com>  Thu, 04 Jan 2024 09:40:16 +0000

piratecash (0.18.0.0-1) stable; urgency=medium

  * We have released a major update PirateCash Core v18.

 -- Mistific@tor <0mistificator0@gmail.com>  Sun, 24 Dec 2023 20:24:21 +0000

piratecash (0.11.7.0.60029-1) stable; urgency=medium

  * https://p.cash/hardfork/

 -- Mistific@tor <0mistificator0@gmail.com>  Sat, 16 Dec 2023 22:49:24 +0000

piratecash (0.11.6.4.60027-1) stable; urgency=medium

  * Update checkpoins and prepare for hardfork

 -- Mistific@tor <0mistificator0@gmail.com>  Mon, 03 Jul 2023 17:26:57 +0000

piratecash (0.11.6.2.60026-1) stable; urgency=medium

  * Disconnect from old peers
  * Reject wrong MN pay amounts

 -- Mistific@tor <0mistificator0@gmail.com>  Mon, 13 Jun 2022 07:29:34 +0000

piratecash (0.11.6.1.60026-1) stable; urgency=medium

  * Changed masternode reward percent from 917 000
  * Removed old SMS

 -- Mistific@tor <0mistificator0@gmail.com>  Fri, 03 Jun 2022 10:27:11 +0000

piratecash (0.11.5.13.60025-1) stable; urgency=medium

  * Disable TORv2 for masternodes (https://support.torproject.org/onionservices/v2-deprecation/)
  * [fix] masternode rank after enable spork 8
  * Disable masternode payments and connections to peers with protocol less 60024

 -- Mistific@tor <0mistificator0@gmail.com>  Tue, 14 Sep 2021 16:16:03 +0000

piratecash (0.11.5.12.60024-1) stable; urgency=medium

  * [fix] masternode connect (daemon crash)
  * [fix] masternode listen
  * [fix] check missing parameter masternodeaddr
  * [fix] masternode port checking
  * [fix] windows 10 issues
  * [add] support windows 32bit
  * [add] new checkpoint
  * [update] Bump openssl to 1.0.2u

 -- Mistific@tor <0mistificator0@gmail.com>  Fri, 27 Aug 2021 17:16:52 +0000

piratecash (0.11.5.11.60023-1) stable; urgency=medium

  * Logo rebranding
  * MN must use only port 18888
  * Reject multiple nodes on same address with different VINs
  * [fix] Duplicate Time in the rawtransaction rpc
  * Disable payments for MN with protocol less than 60022
  * Add depends scenarios for cross builds from linux

 -- Mistific@tor <0mistificator0@gmail.com>  Mon, 31 May 2021 07:55:31 +0000

piratecash (0.11.5.10.60022-3) stable; urgency=medium

  * [new] Up commits 7d37b6ad75f9988382568d9dda1f1fb20c5b0698

 -- Mistific@tor <0mistificator0@gmail.com>  Mon, 24 May 2021 20:32:24 +0000

piratecash (0.11.5.10.60022-2) stable; urgency=medium

  * [new] Up commits 3e8e95275231bec6fb17962c22e54241767945fb

 -- Mistific@tor <0mistificator0@gmail.com>  Wed, 19 May 2021 03:57:22 +0000

piratecash (0.11.5.10.60022-1) stable; urgency=medium

  * [new] Add vout to ListTransactions output
  * [fix] SMSG
  * [fix] net: fix a few races
  * [fix] Display correct amount for POS (listtransactions and listsinceblock)
  * [fix] ListTransactions for masternode rewards
  * [fix] testnet dir
  * [fix] --help command doesn’t work (Process help argument before datadir.)
  * [fix] Fix auto-deselection of peers

 -- Mistific@tor <0mistificator0@gmail.com>  Mon, 05 Apr 2021 20:02:34 +0000

piratecash (0.11.5.9.60022-1) stable; urgency=medium

  * [new] Add vout to ListTransactions output
  * [fix] net: fix a few races
  * [fix] Display correct amount for POS (listtransactions and listsinceblock)
  * [fix] ListTransactions for masternode rewards
  * [fix] testnet dir
  * [fix] --help command doesn’t work (Process help argument before datadir.)
  * [fix] Fix auto-deselection of peers

 -- Mistific@tor <0mistificator0@gmail.com>  Mon, 21 Sep 2020 13:57:55 +0000

piratecash (0.11.5.8.60022-1) stable; urgency=medium

  * Disable master node payments for 60020
  * Prevent duplicate connections where one is by name and another by ip
  * [fix] first start piratecashd when it run first time
  * [fix] getaddednodeinfo RPC call with dns=false
  * [fix] argument parsing oddity with -noX
  * [fix] Reserve only one network specific cached path per session
  * [fix] More fixes for blockchain corruption on OSX.
  * [fix] Testnet cashed dir

 -- Mistific@tor <0mistificator0@gmail.com>  Thu, 04 Jun 2020 09:22:39 +0000

piratecashd (0.11.5.7.60021) stable; urgency=medium

  * [fixed] hash sum piratecash
  * Properly handle errors during log message formatting
  * Do not call CloseSocketDisconnect from non-socket handler threads
  * fix possible memory leaks in CWallet::EncryptWallet
  * UI: wrong keypool default value displayed

 -- Mistific@tor <0mistificator0@gmail.com>  Mon, 13 Apr 2020 02:00:00 +0000

piratecashd (0.11.5.6.60020) stable; urgency=medium

  * [fixed] masternode information for persistant storage of the masternode payment cycle


=== debian/control ===
Source: piratecash
Section: utils
Priority: optional
Maintainer: Mistific@tor
Uploaders: Mistific@tor
Build-Depends: debhelper,
 devscripts,
 automake,
 libtool,
 bash-completion,
 pkg-config,
 python3,
 git,
 dh-autoreconf,
 build-essential,
 libpiratecash-depends-dev
Standards-Version: 3.9.2
Homepage: https://piratecash.net/
Vcs-Git: git://github.com/piratecash/piratecash.git
Vcs-Browser: https://github.com/piratecash/piratecash

Package: piratecashd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: peer-to-peer network based digital currency - daemon
 PirateCash is an experimental new digital currency that enables instant, private
 payments to anyone, anywhere in the world. PirateCash uses peer-to-peer
 technology to operate with no central authority: managing transactions
 and issuing money are carried out collectively by the network. PirateCash Core
 is the name of the open source software which enables the use of this currency.
 .
 This package provides the daemon, piratecashd, and the CLI tool
 piratecash-cli to interact with the daemon.

Package: piratecash-qt
Architecture: any
Depends: ${misc:Depends}
Description: peer-to-peer network based digital currency - Qt GUI
 PirateCash is an experimental new digital currency that enables instant, private
 payments to anyone, anywhere in the world. PirateCash uses peer-to-peer
 technology to operate with no central authority: managing transactions
 and issuing money are carried out collectively by the network. PirateCash Core
 is the name of the open source software which enables the use of this currency.
 .
 This package provides piratecash-qt, a GUI for PirateCash based on Qt.

Package: piratecash-tx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: peer-to-peer digital currency - standalone transaction tool
 PirateCash is an experimental new digital currency that enables instant, private
 payments to anyone, anywhere in the world. PirateCash uses peer-to-peer
 technology to operate with no central authority: managing transactions
 and issuing money are carried out collectively by the network. PirateCash Core
 is the name of the open source software which enables the use of this currency.
 .
 This package provides piratecash-tx, a command-line transaction creation
 tool which can be used without a piratecash daemon.  Some means of
 exchanging minimal transaction data with peers is still required.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

export DH_VERBOSE=1
export DH_OPTIONS=-v

DEB_HOST_GNU_TYPE_DIR   ?= $(shell ./depends/config.guess)

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    BMAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@ --parallel --with autoreconf,bash-completion

override_dh_auto_clean:
	if [ -f Makefile ]; then $(MAKE) distclean; fi
	rm -rf Makefile.in aclocal.m4 configure src/Makefile.in src/piratecash-config.h.in src/build-aux src/qt/Makefile.in src/qt/test/Makefile.in src/test/Makefile.in

override_dh_auto_configure:
	./autogen.sh
	./configure LDFLAGS="-static-libstdc++ -static-libgcc"

override_dh_auto_build:
	$(MAKE) $(BMAKEFLAGS)

override_dh_auto_test:
